package com.qmth.teachcloud.report.business.bean.result;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.teachcloud.report.business.entity.TAExamCourseCollegeInspect;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @Description: 参考课程考查学院维度分析 result
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2021/6/10
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
public class TAExamCourseCollegeInspectResult extends TAExamCourseCollegeInspect implements Serializable {

    @ApiModelProperty(value = "学院id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long collegeId;

    @ApiModelProperty(value = "学院名称")
    private String collegeName;

    @ApiModelProperty(value = "考试时间")
    private Long examTime;

    @ApiModelProperty(value = "考试名称")
    private String examName;

    @ApiModelProperty(value = "试卷分数")
    private BigDecimal fullScore;

    public BigDecimal getFullScore() {
        return fullScore;
    }

    public void setFullScore(BigDecimal fullScore) {
        this.fullScore = fullScore;
    }

    public Long getExamTime() {
        return examTime;
    }

    public void setExamTime(Long examTime) {
        this.examTime = examTime;
    }

    public String getExamName() {
        return examName;
    }

    public void setExamName(String examName) {
        this.examName = examName;
    }

    @Override
    public Long getCollegeId() {
        return collegeId;
    }

    @Override
    public void setCollegeId(Long collegeId) {
        this.collegeId = collegeId;
    }

    public String getCollegeName() {
        return collegeName;
    }

    public void setCollegeName(String collegeName) {
        this.collegeName = collegeName;
    }
}
